# Class JavaUnicodeEscaper

java.lang.Object
org.apache.commons.text.translate.CharSequenceTranslator
org.apache.commons.text.translate.CodePointTranslator
org.apache.commons.text.translate.UnicodeEscaper
org.apache.commons.text.translate.JavaUnicodeEscaper

public class JavaUnicodeEscaper extends UnicodeEscaper
Translates code points to their Unicode escaped value suitable for Java source.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaUnicodeEscaper(int below, int above, boolean between)`
  Constructs a `JavaUnicodeEscaper` for the specified range.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JavaUnicodeEscaper`
  `above(int codePoint)`
  Constructs a `JavaUnicodeEscaper` above the specified value (exclusive).
  `static JavaUnicodeEscaper`
  `below(int codePoint)`
  Constructs a `JavaUnicodeEscaper` below the specified value (exclusive).
  `static JavaUnicodeEscaper`
  `between(int codePointLow, int codePointHigh)`
  Constructs a `JavaUnicodeEscaper` between the specified values (inclusive).
  `static JavaUnicodeEscaper`
  `outsideOf(int codePointLow, int codePointHigh)`
  Constructs a `JavaUnicodeEscaper` outside of the specified values (exclusive).
  `protected String`
  `toUtf16Escape(int codePoint)`
  Converts the given code point to a hexadecimal string of the form `"\\uXXXX\\uXXXX"`.

  ### Methods inherited from class UnicodeEscaper

  `translate`

  ### Methods inherited from class CodePointTranslator

  `translate`

  ### Methods inherited from class CharSequenceTranslator

  `hex, translate, translate, with`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaUnicodeEscaper

    public JavaUnicodeEscaper(int below, int above, boolean between)
    Constructs a `JavaUnicodeEscaper` for the specified range. This is the underlying method for the other constructors/builders. The `below` and `above` boundaries are inclusive when `between` is `true` and exclusive when it is `false`.
    Parameters:
      `below` - int value representing the lowest code point boundary.
      `above` - int value representing the highest code point boundary.
      `between` - whether to escape between the boundaries or outside them.

- ## Method Details

  - ### above

    public static JavaUnicodeEscaper above(int codePoint)
    Constructs a `JavaUnicodeEscaper` above the specified value (exclusive).
    Parameters:
      `codePoint` - above which to escape.
    Returns:
      The newly created `UnicodeEscaper` instance.

  - ### below

    public static JavaUnicodeEscaper below(int codePoint)
    Constructs a `JavaUnicodeEscaper` below the specified value (exclusive).
    Parameters:
      `codePoint` - below which to escape.
    Returns:
      The newly created `UnicodeEscaper` instance.

  - ### between

    public static JavaUnicodeEscaper between(int codePointLow, int codePointHigh)
    Constructs a `JavaUnicodeEscaper` between the specified values (inclusive).
    Parameters:
      `codePointLow` - above which to escape.
      `codePointHigh` - below which to escape.
    Returns:
      The newly created `UnicodeEscaper` instance.

  - ### outsideOf

    public static JavaUnicodeEscaper outsideOf(int codePointLow, int codePointHigh)
    Constructs a `JavaUnicodeEscaper` outside of the specified values (exclusive).
    Parameters:
      `codePointLow` - below which to escape.
      `codePointHigh` - above which to escape.
    Returns:
      The newly created `UnicodeEscaper` instance.

  - ### toUtf16Escape

    protected String toUtf16Escape(int codePoint)
    Converts the given code point to a hexadecimal string of the form `"\\uXXXX\\uXXXX"`.
    Overrides:
      `toUtf16Escape` in class `UnicodeEscaper`
    Parameters:
      `codePoint` - a Unicode code point.
    Returns:
      The hexadecimal string for the given code point.